• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Not a bug jquery 1.10.1 not found

Adam Howard

Well-known member
#1
Note: XenForo 1.2.3 uses jquery 1.10.2 and so I long deleted 1.10.1

But upon doing a health check, I'm told

js/jquery/jquery-1.10.1.min.js File not found.

I don't think it should be looking for it. I mean XenForo uses 1.10.2 ... So why would it be looking for 1.10.1 ?
 

Chris D

XenForo developer
Staff member
#2
XenForo 1.2.3 only uses jQuery 1.10.2 but, if you take a look in your licensed download, it also includes jQuery 1.10.1.

I spoke with Mike about this and this was deliberate. I forget the reason why.

It's probably not necessary to include it in the download. Maybe 1.2.4 will remove it.

At the moment it's safe to ignore the file healthcheck errors.
 

Adam Howard

Well-known member
#3
XenForo 1.2.3 only uses jQuery 1.10.2 but, if you take a look in your licensed download, it also includes jQuery 1.10.1.

I spoke with Mike about this and this was deliberate. I forget the reason why.

It's probably not necessary to include it in the download. Maybe 1.2.4 will remove it.

At the moment it's safe to ignore the file healthcheck errors.
OK, so my confusion is at least a valid one. :p

Thank you @Chris Deeming for brining this to my attention.